/***************************************************************************
 *   Copyright (C) 2004 by Ferdy Jean-Baptiste                             *
 *   ferdy@univ-montp2.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef AJOUT_DISTRIBUTION_H
#define AJOUT_DISTRIBUTION_H

#include "form_ajout_distribution.h"
#include "specification_distribution.h"
#include "qmodel.h"
/**
@author Ferdy Jean-Baptiste
*/
class ajout_distribution : public Form_ajout_distribution {
Q_OBJECT

public:
    ajout_distribution(qmodele* xm);
    QString* get_string();    
    
public slots:
    void select_famille();
    void ok();
    void annuler();    
private:
    qmodele* m;
};

#endif
