/***************************************************************************
 *   Copyright (C) 2005 by Jean-Baptiste Ferdy                             *
 *   ferdy@univ-montp2.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

 #ifndef CHAINE_H
 #define CHAINE_H
 
 #include "operation_simple.h"
  
 class chaine {
  public :
    chaine(char* str,int nb_index,char** index);
    ~chaine();
    
    int   valide() 
      {if(s==NULL || nb_c<=0 || nb_o<=0 || chaine_op==NULL) return(-1); return(1);}        
    char* tostring();
    char* tostring(int* v);
    
  private :
    int   construire_chaine_op();
    
    char    *s;           //chaine de charactres
    int     nb_c;         //longueur de la chaine de caractres
    
    operationSimple**  chaine_op;     //chaine d'oprations
    int                 nb_o;         //nombre d'oprations dans la chaine
    
    char**  index;        //indices  remplacer dans la chaine
    int     nb_i;         //nombre d'indices
    double* val;          //valeurs des indices
  };
 
 #endif
//
