/***************************************************************************
 *   Copyright (C) 2004 by Ferdy Jean-Baptiste                             *
 *   ferdy@univ-montp2.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "export_trajectoire.h"
#include "form_exporter_trajectoire.h"

#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>

export_trajectoire::export_trajectoire() : form_exporter_trajectoire()
{
QObject::connect(pushButton_ok,SIGNAL(clicked()),this,SLOT(ok()));
QObject::connect(pushButton_annuler,SIGNAL(clicked()),this,SLOT(annuler()));
QObject::connect(radioButton_tout,SIGNAL(clicked()),this,SLOT(activer_temps()));
QObject::connect(radioButton_fin,SIGNAL(clicked()),this,SLOT(activer_temps()));
}

void export_trajectoire::activer_temps() {
if(radioButton_tout->isChecked()) {
	buttonGroup_temps->setEnabled(TRUE);
	}
else 	{
	buttonGroup_temps->setEnabled(FALSE);
	}
}

void export_trajectoire::ok()
{accept();};

void export_trajectoire::annuler()
{reject();};

//#include "exporter_trajectoire.moc"
