/***************************************************************************
 *   Copyright (C) 2005 by Jean-Baptiste Ferdy                             *
 *   ferdy@univ-montp2.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

 #include <stdio.h>
 #include <string.h>
 #include <math.h>
 #include <gsl/gsl_math.h>
 #include <gsl/gsl_sf_gamma.h>
 #include <gsl/gsl_randist.h>
 #include <gsl/gsl_cdf.h>
 
 //construction du tableau de spcification
 //doit tre appel en dbut d'excution du programme
 void charge_specification_fonction();
 void ecrire_index_fonctions(char* nom);
 
 char* nom_fonction(char c);
 char  symbole_fonction(char* nom);
 
 char type(char* nom);
 char type(char  c);
 char type(int   i);
 
 int nb_arg_min(char* nom);
 int nb_arg_min(char  c);
 int nb_arg_min(int   i);
 
 int nb_arg_max(char* nom);
 int nb_arg_max(char  c);
 int nb_arg_max(int   i);
 
 int nb_arg_correct(char* nom,int n);
 int nb_arg_correct(char  c,int n);
 int nb_arg_correct(int   i,int n);
 
 typedef double (*func_pt)(int,double*,int*);
 func_pt get_fonction_evaluation(char c);
 
 int set_fonction_evaluation(double (*f)(int,double*,int*),char* nom);
 int set_fonction_evaluation(double (*f)(int,double*,int*),char c);
 int set_fonction_evaluation(double (*f)(int,double*,int*),int i);

//
