/***************************************************************************
 *   Copyright (C) 2004 by Ferdy Jean-Baptiste                             *
 *   ferdy@univ-montp2.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef AJOUT_EQUILIBRE_H
#define AJOUT_EQUILIBRE_H

#include "form_ajout_equilibre.h"
#include "qmodel.h"

/**
@author Ferdy Jean-Baptiste
*/
class ajout_equilibre : public Form_ajout_equilibre {
Q_OBJECT

public:
	ajout_equilibre(qmodele* xm);
	QString* get_string();

public slots:
	void ok();
	void annuler();
	
private:
	qmodele* m;

};

#endif
