/***************************************************************************
 *   Copyright (C) 2005 by Jean-Baptiste Ferdy                             *
 *   ferdy@univ-montp2.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef COMMANDE_MATRICE_H
#define COMMANDE_MATRICE_H

#include <form_commande_matrice.h>

/**
@author Jean-Baptiste Ferdy
*/
class commande_matrice : public Form_commande_matrice
{
Q_OBJECT
public:
    commande_matrice(int nl,int nc,QWidget *parent = 0, const char *name = 0);
    ~commande_matrice();
private:
    void autorise_position(bool b);
    void autorise_ligne(bool b);
    void autorise_colone(bool b);
public slots:
  void autorise_position();
  QString  get_commande();
  void     ok();
  void     annuler();

};

#endif
