/***************************************************************************
 *   Copyright (C) 2004 by Ferdy Jean-Baptiste                             *
 *   ferdy@univ-montp2.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef DEFINIR_ECHELLE_H
#define DEFINIR_ECHELLE_H

#include "form_definir_echelle.h"
#include "coordonnees.h"

#include <qstring.h>
 
class definir_echelle : public Form_definir_echelle {
Q_OBJECT

public :
    definir_echelle();
    void set_minmax(int type ,QString v1,QString v2,coordonnees* coord);
    void get_minmax(int type ,coordonnees* coord);
    
public slots :
    void ok();
    void annuler();
    void initialise_x(bool test);
    void initialise_x();
    void initialise_y(bool test);
    void initialise_y();
    
    
private :  
    void set_automatique_x();
    void unset_automatique_x();
    void set_automatique_y();
    void unset_automatique_y();
};

#endif
