/***************************************************************************
                          graphique.h  -  description
                             -------------------
    begin                : jeu avr 8 2004
    copyright            : (C) 2004 by Ferdy Jean-Baptiste
    email                : ferdy@univ-montp2.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

 #ifndef GRAPHIQUE_H
#define GRAPHIQUE_H

#include <qwidget.h>
#include <qradiobutton.h>
#include <qtable.h>

#include "qmodel.h"

class Graphique : public QWidget
{
    Q_OBJECT
public:
    Graphique( QWidget *parent=0, const char *name=0 );
    void set(QWidget* parent);  //rcupre l'adresse du widget appelant
    void refresh(qmodele *xm,int xtype_affichage);         //remet  jour l'adresse du modle et le type d'affichage
    void refresh(int xtype_affichage);
    void refresh();
    void calcule(int i);
    
protected:
    void paintEvent( QPaintEvent *);    
    void mousePressEvent( QMouseEvent *);
    void mouseReleaseEvent( QMouseEvent *);
    void mouseMoveEvent( QMouseEvent *);
    void keyPressEvent ( QKeyEvent * e );
private:
    QWidget* pere;
    qmodele* m;
    int type_affichage;
    int calcul_en_cours;   
};


#endif

// GRAPHIQUE_H

