/***************************************************************************
 *   Copyright (C) 2005 by Jean-Baptiste Ferdy                             *
 *   ferdy@univ-montp2.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "histograme.h"
#include "form_histograme.h"

histograme::histograme(QWidget* parent, const char* name, WFlags fl)
: Form_histograme(parent,name,fl)
{
QObject::connect( pushButton_annuler, SIGNAL( clicked() ), this, SLOT( quitter() ) );
}

histograme::~histograme()
{
}

/*$SPECIALIZATION$*/

void histograme::rafraichir() {
 double x=0.0;
 }

void histograme::quitter() {
  close();
  }

//#include "histograme.moc"

