/***************************************************************************
 *   Copyright (C) 2004 by Ferdy Jean-Baptiste                             *
 *   ferdy@univ-montp2.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef NOUVEAU_MODELE_H
#define NOUVEAU_MODELE_H

/**
@author Ferdy Jean-Baptiste
*/
#include <qtable.h>
#include <string.h>
#include "form_nouveau_modele.h"
#include "commande_matrice.h"


class nouveau_modele : public Form_nouveau_modele {
Q_OBJECT

public:
    nouveau_modele();
   
   int valide();
   int nb_var();
   int nb_par();
   void copie_variable(QTable* tab);
   void copie_parametre(QTable* tab);
   QString chaine();
   
public slots:
	void ajout_variable();
	void ajout_parametre();
	void ajout_matrice();
	void suppr_variable();
	void suppr_parametre();
	void suppr_matrice();
	void matrice_up();
	void matrice_down();
	void ok();
	void annuler();
};

#endif
