/***************************************************************************
 *   Copyright (C) 2005 by Jean-Baptiste Ferdy                             *
 *   ferdy@univ-montp2.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 #include "specification_fonction.h"
 
 //construction du tableau de spcification
 //doit tre appel en dbut d'excution du programme
 void charge_specification_distribution();
 
 char  symbole_distribution(char* nom);  //symbole de la distribution
 char* nom_distribution(char c);         //nom de la distribution
 char* nom_distribution(int i);
 char  type_distribution(char* nom);     //type de distribution (continue ou discrte)
 char  type_distribution(char  c);
 char  type_distribution(int   i);
 int   nb_arg_min_distribution(char* nom); //nombre d'arguments pour la dfinition de la distribution
 int   nb_arg_min_distribution(char  c);
 int   nb_arg_min_distribution(int   i);
 int   nb_arg_max_distribution(char* nom);
 int   nb_arg_max_distribution(char  c);
 int   nb_arg_max_distribution(int i);
 int   nb_arg_correct_distribution(char* nom,int n);
 int   nb_arg_correct_distribution(char  c,int n);
 int   nb_arg_correct_distribution(int i,int n);
 
 func_pt get_fonction_evaluation_distribution(char c);
 int set_fonction_evaluation_distribution(double (*f)(int,double*,int*),char* nom);
 int set_fonction_evaluation_distribution(double (*f)(int,double*,int*),char c);
 int fonction_evaluation_distribution(double (*f)(int,double*,int*),int i);
 func_pt get_fonction_evaluation_distribution(char c);
 
 int set_fonction_construction_distribution(double (*f)(int,double*,int*),char* nom);
 int set_fonction_construction_distribution(double (*f)(int,double*,int*),char c);
 int fonction_construction_distribution(double (*f)(int,double*,int*),int i);
 func_pt get_fonction_construction_distribution(char c);
