/***************************************************************************
 *   Copyright (C) 2004 by Ferdy Jean-Baptiste                             *
 *   ferdy@univ-montp2.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef SUPPRIMER_UNE_TRAJECTOIRE_H
#define SUPPRIMER_UNE_TRAJECTOIRE_H

#include "form_supprimer_une_trajectoire.h"
#include "qmodel.h"

/**
@author Ferdy Jean-Baptiste
*/
class supprimer_une_trajectoire : public Form_supprimer_une_trajectoire {
Q_OBJECT
public:
    supprimer_une_trajectoire(qmodele* xm);
    
public slots:
    void ok();
    void annuler();
    void apercu(); 
    void change_n1();   
private:   
    qmodele* m;
};

#endif
